Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 604198 - [RFE] Relevant plugins should be able to get username from report command line parameter
[RFE] Relevant plugins should be able to get username from report command lin...
Status: CLOSED EOL
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: report (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Gavin Romig-Koch
BaseOS QE - Apps
: FutureFeature
Depends On: 635111
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 11:22 EDT by David Kutálek
Modified: 2015-10-09 06:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 635111 (view as bug list)
Environment:
Last Closed: 2015-10-09 06:54:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kutálek 2010-06-15 11:22:40 EDT
Description of problem:

--username commandline parameter exists for report, but so far plugins are not able to use it. This bug is requesting implementation of using --username parameter inside all relevant plugins.

Version-Release number of selected component (if applicable):

report-0.15-1.el6

How reproducible:


Steps to Reproduce:
1. report --target scp --host localhost --path=/tmp --username=dkutalek
./dummy-report.txt 
2. similar for other targets where username makes sense

Actual results:

Report asks for username...

Expected results:

Username given via commandline should be used OR --username parameter should
not be available at all.

Additional info:
Comment 1 RHEL Product and Program Management 2010-06-15 11:38:10 EDT
This feature request did not get resolved in time for Feature Freeze
for the current Red Hat Enterprise Linux release and has now been
denied. It has been proposed for the next Red Hat Enterprise Linux
release. If you would still like it considered for the current
release as an exception, please make that request with your support
representative.
Comment 3 David Kutálek 2010-06-17 05:36:04 EDT
I found out that username option from /etc/report.d/scp config file is not used neither. Scp plugin should use this config file parameter too.
Comment 5 Gavin Romig-Koch 2011-01-26 13:40:39 EST
Not for 6.1, perhaps for 6.2.
Comment 6 Gavin Romig-Koch 2011-01-26 13:50:06 EST
Not for 6.1, perhaps for 6.2.

Requires that we have and and a password manager for command line utils.
Comment 8 RHEL Product and Program Management 2011-08-15 23:28:21 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 10 Suzanne Yeghiayan 2012-01-31 16:19:12 EST
This request was evaluated by Red Hat Product Management for inclusion in the
current release of Red Hat Enterprise Linux. Because the affected component is
not scheduled to be updated in the current release, Red Hat is unfortunately
unable to address this request at this time.  It has been proposed for the next
release. If you would like it considered as an exception in the current
release, please ask your support representative.
Comment 11 RHEL Product and Program Management 2012-07-10 02:03:03 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 12 RHEL Product and Program Management 2012-07-10 21:48:36 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 13 RHEL Product and Program Management 2013-10-13 21:19:55 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.